Create a private IPv4 network for an SBM server
POST/v1/hosts/sbm_servers/{server_id}/networks/private_ipv4
A POST request to /v1/hosts/sbm_servers/{server_id}/networks/private_ipv4 will create a private network for a server specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the |
Request Body
| Field | Details |
|---|---|
distribution_method? | stringValue in: Default: The distribution method (see details in the response description). Only the |
mask | integerA subnet mask. Available subnet sizes are /29 - /26. If you need a /29 subnet, specify |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/hosts/sbm_servers/N1aMJQbW/networks/private_ipv4" \ -H "Content-Type: application/json" \ -d '{ "distribution_method": "gateway", "mask": 29 }'{ "id": "X7axVzdy", "title": "Private", "status": "new", "cidr": null, "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T06:57:24Z", "created_at": "2026-05-28T06:57:24Z"}